﻿using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using SynologyCertificateExporter.Models;
using System.Collections.Generic;

namespace SynologyCertificateExporter.Services
{
    internal class SynologyInfoJsonParser
    {
        internal static List<CertificateInfo> Parse(string content)
        {
            var result = new List<CertificateInfo>();
            var parsed = (JObject)JsonConvert.DeserializeObject(content);

            foreach (JProperty child in parsed.Children())
            {
                var info = child.First.ToObject<CertificateInfo>();
                info.Name = child.Name;

                result.Add(info);
            }

            return result;
        }
    }
}
