﻿using SynologyCertificateExporter.Services;
using System;

namespace SynologyCertificateExporter
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length == 0)
            {
                Console.WriteLine("Error, you have to specify the outputDirectory in first argument");
                return;
            }

            var outputDirectory = args[0];
            Console.WriteLine($"Setting {outputDirectory} as outputDirectory");

            var synoCertificatePath = "/usr/syno/etc/certificate/_archive";

            var exporter = new CertificateExporter(synoCertificatePath, outputDirectory);
            exporter.Export();

            Console.WriteLine("Finished!");
        }
    }
}
